Package org.eclipse.m2m.atl.common.OCL

# Interface OCLPackage.Literals

Enclosing class:
  OCLPackage

public static interface OCLPackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`ATTRIBUTE`
The meta object literal for the '`Attribute`' class.
`static final org.eclipse.emf.ecore.EReference`
`ATTRIBUTE__INIT_EXPRESSION`
The meta object literal for the 'Init Expression' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`ATTRIBUTE__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`ATTRIBUTE__TYPE`
The meta object literal for the 'Type' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`BAG_EXP`
The meta object literal for the '`Bag Exp`' class.
`static final org.eclipse.emf.ecore.EClass`
`BAG_TYPE`
The meta object literal for the '`Bag Type`' class.
`static final org.eclipse.emf.ecore.EClass`
`BOOLEAN_EXP`
The meta object literal for the '`Boolean Exp`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`BOOLEAN_EXP__BOOLEAN_SYMBOL`
The meta object literal for the 'Boolean Symbol' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`BOOLEAN_TYPE`
The meta object literal for the '`Boolean Type`' class.
`static final org.eclipse.emf.ecore.EClass`
`COLLECTION_EXP`
The meta object literal for the '`Collection Exp`' class.
`static final org.eclipse.emf.ecore.EReference`
`COLLECTION_EXP__ELEMENTS`
The meta object literal for the 'Elements' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`COLLECTION_OPERATION_CALL_EXP`
The meta object literal for the '`Collection Operation Call Exp`' class.
`static final org.eclipse.emf.ecore.EClass`
`COLLECTION_TYPE`
The meta object literal for the '`Collection Type`' class.
`static final org.eclipse.emf.ecore.EReference`
`COLLECTION_TYPE__ELEMENT_TYPE`
The meta object literal for the 'Element Type' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`ENUM_LITERAL_EXP`
The meta object literal for the '`Enum Literal Exp`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`ENUM_LITERAL_EXP__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`IF_EXP`
The meta object literal for the '`If Exp`' class.
`static final org.eclipse.emf.ecore.EReference`
`IF_EXP__CONDITION`
The meta object literal for the 'Condition' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`IF_EXP__ELSE_EXPRESSION`
The meta object literal for the 'Else Expression' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`IF_EXP__THEN_EXPRESSION`
The meta object literal for the 'Then Expression' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`INTEGER_EXP`
The meta object literal for the '`Integer Exp`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`INTEGER_EXP__INTEGER_SYMBOL`
The meta object literal for the 'Integer Symbol' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`INTEGER_TYPE`
The meta object literal for the '`Integer Type`' class.
`static final org.eclipse.emf.ecore.EClass`
`ITERATE_EXP`
The meta object literal for the '`Iterate Exp`' class.
`static final org.eclipse.emf.ecore.EReference`
`ITERATE_EXP__RESULT`
The meta object literal for the 'Result' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`ITERATOR`
The meta object literal for the '`Iterator`' class.
`static final org.eclipse.emf.ecore.EReference`
`ITERATOR__LOOP_EXPR`
The meta object literal for the 'Loop Expr' container reference feature.
`static final org.eclipse.emf.ecore.EClass`
`ITERATOR_EXP`
The meta object literal for the '`Iterator Exp`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`ITERATOR_EXP__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`LET_EXP`
The meta object literal for the '`Let Exp`' class.
`static final org.eclipse.emf.ecore.EReference`
`LET_EXP__IN_`
The meta object literal for the 'In ' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`LET_EXP__VARIABLE`
The meta object literal for the 'Variable' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`LOOP_EXP`
The meta object literal for the '`Loop Exp`' class.
`static final org.eclipse.emf.ecore.EReference`
`LOOP_EXP__BODY`
The meta object literal for the 'Body' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`LOOP_EXP__ITERATORS`
The meta object literal for the 'Iterators' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`MAP_ELEMENT`
The meta object literal for the '`Map Element`' class.
`static final org.eclipse.emf.ecore.EReference`
`MAP_ELEMENT__KEY`
The meta object literal for the 'Key' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MAP_ELEMENT__MAP`
The meta object literal for the 'Map' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MAP_ELEMENT__VALUE`
The meta object literal for the 'Value' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`MAP_EXP`
The meta object literal for the '`Map Exp`' class.
`static final org.eclipse.emf.ecore.EReference`
`MAP_EXP__ELEMENTS`
The meta object literal for the 'Elements' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`MAP_TYPE`
The meta object literal for the '`Map Type`' class.
`static final org.eclipse.emf.ecore.EReference`
`MAP_TYPE__KEY_TYPE`
The meta object literal for the 'Key Type' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MAP_TYPE__VALUE_TYPE`
The meta object literal for the 'Value Type' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP`
The meta object literal for the '`Navigation Or Attribute Call Exp`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`NUMERIC_EXP`
The meta object literal for the '`Numeric Exp`' class.
`static final org.eclipse.emf.ecore.EClass`
`NUMERIC_TYPE`
The meta object literal for the '`Numeric Type`' class.
`static final org.eclipse.emf.ecore.EClass`
`OCL_ANY_TYPE`
The meta object literal for the '`Ocl Any Type`' class.
`static final org.eclipse.emf.ecore.EClass`
`OCL_CONTEXT_DEFINITION`
The meta object literal for the '`Ocl Context Definition`' class.
`static final org.eclipse.emf.ecore.EReference`
`OCL_CONTEXT_DEFINITION__CONTEXT_`
The meta object literal for the 'Context ' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_CONTEXT_DEFINITION__DEFINITION`
The meta object literal for the 'Definition' container reference feature.
`static final org.eclipse.emf.ecore.EClass`
`OCL_EXPRESSION`
The meta object literal for the '`Ocl Expression`' class.
`static final org.eclipse.emf.ecore.EReference`
`OCL_EXPRESSION__APPLIED_PROPERTY`
The meta object literal for the 'Applied Property' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_EXPRESSION__COLLECTION`
The meta object literal for the 'Collection' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_EXPRESSION__IF_EXP1`
The meta object literal for the 'If Exp1' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_EXPRESSION__IF_EXP2`
The meta object literal for the 'If Exp2' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_EXPRESSION__IF_EXP3`
The meta object literal for the 'If Exp3' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_EXPRESSION__INITIALIZED_VARIABLE`
The meta object literal for the 'Initialized Variable' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_EXPRESSION__LET_EXP`
The meta object literal for the 'Let Exp' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_EXPRESSION__LOOP_EXP`
The meta object literal for the 'Loop Exp' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_EXPRESSION__OWNING_ATTRIBUTE`
The meta object literal for the 'Owning Attribute' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_EXPRESSION__OWNING_OPERATION`
The meta object literal for the 'Owning Operation' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_EXPRESSION__PARENT_OPERATION`
The meta object literal for the 'Parent Operation' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_EXPRESSION__TYPE`
The meta object literal for the 'Type' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`OCL_FEATURE`
The meta object literal for the '`Ocl Feature`' class.
`static final org.eclipse.emf.ecore.EReference`
`OCL_FEATURE__DEFINITION`
The meta object literal for the 'Definition' container reference feature.
`static final org.eclipse.emf.ecore.EClass`
`OCL_FEATURE_DEFINITION`
The meta object literal for the '`Ocl Feature Definition`' class.
`static final org.eclipse.emf.ecore.EReference`
`OCL_FEATURE_DEFINITION__CONTEXT_`
The meta object literal for the 'Context ' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_FEATURE_DEFINITION__FEATURE`
The meta object literal for the 'Feature' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`OCL_MODEL`
The meta object literal for the '`Ocl Model`' class.
`static final org.eclipse.emf.ecore.EReference`
`OCL_MODEL__ELEMENTS`
The meta object literal for the 'Elements' reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_MODEL__METAMODEL`
The meta object literal for the 'Metamodel' reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_MODEL__MODEL`
The meta object literal for the 'Model' reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`OCL_MODEL__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`OCL_MODEL_ELEMENT`
The meta object literal for the '`Ocl Model Element`' class.
`static final org.eclipse.emf.ecore.EReference`
`OCL_MODEL_ELEMENT__MODEL`
The meta object literal for the 'Model' reference feature.
`static final org.eclipse.emf.ecore.EClass`
`OCL_TYPE`
The meta object literal for the '`Ocl Type`' class.
`static final org.eclipse.emf.ecore.EReference`
`OCL_TYPE__ATTRIBUTE`
The meta object literal for the 'Attribute' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_TYPE__COLLECTION_TYPES`
The meta object literal for the 'Collection Types' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_TYPE__DEFINITIONS`
The meta object literal for the 'Definitions' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_TYPE__MAP_TYPE`
The meta object literal for the 'Map Type' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_TYPE__MAP_TYPE2`
The meta object literal for the 'Map Type2' container reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`OCL_TYPE__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_TYPE__OCL_EXPRESSION`
The meta object literal for the 'Ocl Expression' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_TYPE__OPERATION`
The meta object literal for the 'Operation' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_TYPE__TUPLE_TYPE_ATTRIBUTE`
The meta object literal for the 'Tuple Type Attribute' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`OCL_TYPE__VARIABLE_DECLARATION`
The meta object literal for the 'Variable Declaration' container reference feature.
`static final org.eclipse.emf.ecore.EClass`
`OCL_UNDEFINED_EXP`
The meta object literal for the '`Ocl Undefined Exp`' class.
`static final org.eclipse.emf.ecore.EClass`
`OPERATION`
The meta object literal for the '`Operation`' class.
`static final org.eclipse.emf.ecore.EReference`
`OPERATION__BODY`
The meta object literal for the 'Body' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`OPERATION__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`OPERATION__PARAMETERS`
The meta object literal for the 'Parameters' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`OPERATION__RETURN_TYPE`
The meta object literal for the 'Return Type' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`OPERATION_CALL_EXP`
The meta object literal for the '`Operation Call Exp`' class.
`static final org.eclipse.emf.ecore.EReference`
`OPERATION_CALL_EXP__ARGUMENTS`
The meta object literal for the 'Arguments' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`OPERATION_CALL_EXP__OPERATION_NAME`
The meta object literal for the 'Operation Name' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`OPERATOR_CALL_EXP`
The meta object literal for the '`Operator Call Exp`' class.
`static final org.eclipse.emf.ecore.EClass`
`ORDERED_SET_EXP`
The meta object literal for the '`Ordered Set Exp`' class.
`static final org.eclipse.emf.ecore.EClass`
`ORDERED_SET_TYPE`
The meta object literal for the '`Ordered Set Type`' class.
`static final org.eclipse.emf.ecore.EClass`
`PARAMETER`
The meta object literal for the '`Parameter`' class.
`static final org.eclipse.emf.ecore.EReference`
`PARAMETER__OPERATION`
The meta object literal for the 'Operation' container reference feature.
`static final org.eclipse.emf.ecore.EClass`
`PRIMITIVE`
The meta object literal for the '`Primitive`' class.
`static final org.eclipse.emf.ecore.EClass`
`PRIMITIVE_EXP`
The meta object literal for the '`Primitive Exp`' class.
`static final org.eclipse.emf.ecore.EClass`
`PROPERTY_CALL_EXP`
The meta object literal for the '`Property Call Exp`' class.
`static final org.eclipse.emf.ecore.EReference`
`PROPERTY_CALL_EXP__SOURCE`
The meta object literal for the 'Source' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`REAL_EXP`
The meta object literal for the '`Real Exp`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`REAL_EXP__REAL_SYMBOL`
The meta object literal for the 'Real Symbol' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`REAL_TYPE`
The meta object literal for the '`Real Type`' class.
`static final org.eclipse.emf.ecore.EClass`
`SEQUENCE_EXP`
The meta object literal for the '`Sequence Exp`' class.
`static final org.eclipse.emf.ecore.EClass`
`SEQUENCE_TYPE`
The meta object literal for the '`Sequence Type`' class.
`static final org.eclipse.emf.ecore.EClass`
`SET_EXP`
The meta object literal for the '`Set Exp`' class.
`static final org.eclipse.emf.ecore.EClass`
`SET_TYPE`
The meta object literal for the '`Set Type`' class.
`static final org.eclipse.emf.ecore.EClass`
`STRING_EXP`
The meta object literal for the '`String Exp`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`STRING_EXP__STRING_SYMBOL`
The meta object literal for the 'String Symbol' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`STRING_TYPE`
The meta object literal for the '`String Type`' class.
`static final org.eclipse.emf.ecore.EClass`
`SUPER_EXP`
The meta object literal for the '`Super Exp`' class.
`static final org.eclipse.emf.ecore.EClass`
`TUPLE_EXP`
The meta object literal for the '`Tuple Exp`' class.
`static final org.eclipse.emf.ecore.EReference`
`TUPLE_EXP__TUPLE_PART`
The meta object literal for the 'Tuple Part' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`TUPLE_PART`
The meta object literal for the '`Tuple Part`' class.
`static final org.eclipse.emf.ecore.EReference`
`TUPLE_PART__TUPLE`
The meta object literal for the 'Tuple' container reference feature.
`static final org.eclipse.emf.ecore.EClass`
`TUPLE_TYPE`
The meta object literal for the '`Tuple Type`' class.
`static final org.eclipse.emf.ecore.EReference`
`TUPLE_TYPE__ATTRIBUTES`
The meta object literal for the 'Attributes' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`TUPLE_TYPE_ATTRIBUTE`
The meta object literal for the '`Tuple Type Attribute`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`TUPLE_TYPE_ATTRIBUTE__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`TUPLE_TYPE_ATTRIBUTE__TUPLE_TYPE`
The meta object literal for the 'Tuple Type' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`TUPLE_TYPE_ATTRIBUTE__TYPE`
The meta object literal for the 'Type' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`VARIABLE_DECLARATION`
The meta object literal for the '`Variable Declaration`' class.
`static final org.eclipse.emf.ecore.EReference`
`VARIABLE_DECLARATION__BASE_EXP`
The meta object literal for the 'Base Exp' container reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`VARIABLE_DECLARATION__ID`
The meta object literal for the 'Id' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`VARIABLE_DECLARATION__INIT_EXPRESSION`
The meta object literal for the 'Init Expression' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`VARIABLE_DECLARATION__LET_EXP`
The meta object literal for the 'Let Exp' container reference feature.
`static final org.eclipse.emf.ecore.EReference`
`VARIABLE_DECLARATION__TYPE`
The meta object literal for the 'Type' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`VARIABLE_DECLARATION__VAR_NAME`
The meta object literal for the 'Var Name' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`VARIABLE_DECLARATION__VARIABLE_EXP`
The meta object literal for the 'Variable Exp' reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`VARIABLE_EXP`
The meta object literal for the '`Variable Exp`' class.
`static final org.eclipse.emf.ecore.EReference`
`VARIABLE_EXP__REFERRED_VARIABLE`
The meta object literal for the 'Referred Variable' reference feature.

## Field Details

### OCL_EXPRESSION

static final org.eclipse.emf.ecore.EClass OCL_EXPRESSION
The meta object literal for the '`Ocl Expression`' class.

See Also:
  - `OclExpression`
  - `OCLPackage.getOclExpression()`

### OCL_EXPRESSION__TYPE

static final org.eclipse.emf.ecore.EReference OCL_EXPRESSION__TYPE
The meta object literal for the 'Type' containment reference feature.

### OCL_EXPRESSION__IF_EXP3

static final org.eclipse.emf.ecore.EReference OCL_EXPRESSION__IF_EXP3
The meta object literal for the 'If Exp3' container reference feature.

### OCL_EXPRESSION__APPLIED_PROPERTY

static final org.eclipse.emf.ecore.EReference OCL_EXPRESSION__APPLIED_PROPERTY
The meta object literal for the 'Applied Property' container reference feature.

### OCL_EXPRESSION__COLLECTION

static final org.eclipse.emf.ecore.EReference OCL_EXPRESSION__COLLECTION
The meta object literal for the 'Collection' container reference feature.

### OCL_EXPRESSION__LET_EXP

static final org.eclipse.emf.ecore.EReference OCL_EXPRESSION__LET_EXP
The meta object literal for the 'Let Exp' container reference feature.

### OCL_EXPRESSION__LOOP_EXP

static final org.eclipse.emf.ecore.EReference OCL_EXPRESSION__LOOP_EXP
The meta object literal for the 'Loop Exp' container reference feature.

### OCL_EXPRESSION__PARENT_OPERATION

static final org.eclipse.emf.ecore.EReference OCL_EXPRESSION__PARENT_OPERATION
The meta object literal for the 'Parent Operation' container reference feature.

### OCL_EXPRESSION__INITIALIZED_VARIABLE

static final org.eclipse.emf.ecore.EReference OCL_EXPRESSION__INITIALIZED_VARIABLE
The meta object literal for the 'Initialized Variable' container reference feature.

### OCL_EXPRESSION__IF_EXP2

static final org.eclipse.emf.ecore.EReference OCL_EXPRESSION__IF_EXP2
The meta object literal for the 'If Exp2' container reference feature.

### OCL_EXPRESSION__OWNING_OPERATION

static final org.eclipse.emf.ecore.EReference OCL_EXPRESSION__OWNING_OPERATION
The meta object literal for the 'Owning Operation' container reference feature.

### OCL_EXPRESSION__IF_EXP1

static final org.eclipse.emf.ecore.EReference OCL_EXPRESSION__IF_EXP1
The meta object literal for the 'If Exp1' container reference feature.

### OCL_EXPRESSION__OWNING_ATTRIBUTE

static final org.eclipse.emf.ecore.EReference OCL_EXPRESSION__OWNING_ATTRIBUTE
The meta object literal for the 'Owning Attribute' container reference feature.

### VARIABLE_EXP

static final org.eclipse.emf.ecore.EClass VARIABLE_EXP
The meta object literal for the '`Variable Exp`' class.

See Also:
  - `VariableExp`
  - `OCLPackage.getVariableExp()`

### VARIABLE_EXP__REFERRED_VARIABLE

static final org.eclipse.emf.ecore.EReference VARIABLE_EXP__REFERRED_VARIABLE
The meta object literal for the 'Referred Variable' reference feature.

### SUPER_EXP

static final org.eclipse.emf.ecore.EClass SUPER_EXP
The meta object literal for the '`Super Exp`' class.

See Also:
  - `SuperExp`
  - `OCLPackage.getSuperExp()`

### PRIMITIVE_EXP

static final org.eclipse.emf.ecore.EClass PRIMITIVE_EXP
The meta object literal for the '`Primitive Exp`' class.

See Also:
  - `PrimitiveExp`
  - `OCLPackage.getPrimitiveExp()`

### STRING_EXP

static final org.eclipse.emf.ecore.EClass STRING_EXP
The meta object literal for the '`String Exp`' class.

See Also:
  - `StringExp`
  - `OCLPackage.getStringExp()`

### STRING_EXP__STRING_SYMBOL

static final org.eclipse.emf.ecore.EAttribute STRING_EXP__STRING_SYMBOL
The meta object literal for the 'String Symbol' attribute feature.

### BOOLEAN_EXP

static final org.eclipse.emf.ecore.EClass BOOLEAN_EXP
The meta object literal for the '`Boolean Exp`' class.

See Also:
  - `BooleanExp`
  - `OCLPackage.getBooleanExp()`

### BOOLEAN_EXP__BOOLEAN_SYMBOL

static final org.eclipse.emf.ecore.EAttribute BOOLEAN_EXP__BOOLEAN_SYMBOL
The meta object literal for the 'Boolean Symbol' attribute feature.

### NUMERIC_EXP

static final org.eclipse.emf.ecore.EClass NUMERIC_EXP
The meta object literal for the '`Numeric Exp`' class.

See Also:
  - `NumericExp`
  - `OCLPackage.getNumericExp()`

### REAL_EXP

static final org.eclipse.emf.ecore.EClass REAL_EXP
The meta object literal for the '`Real Exp`' class.

See Also:
  - `RealExp`
  - `OCLPackage.getRealExp()`

### REAL_EXP__REAL_SYMBOL

static final org.eclipse.emf.ecore.EAttribute REAL_EXP__REAL_SYMBOL
The meta object literal for the 'Real Symbol' attribute feature.

### INTEGER_EXP

static final org.eclipse.emf.ecore.EClass INTEGER_EXP
The meta object literal for the '`Integer Exp`' class.

See Also:
  - `IntegerExp`
  - `OCLPackage.getIntegerExp()`

### INTEGER_EXP__INTEGER_SYMBOL

static final org.eclipse.emf.ecore.EAttribute INTEGER_EXP__INTEGER_SYMBOL
The meta object literal for the 'Integer Symbol' attribute feature.

### COLLECTION_EXP

static final org.eclipse.emf.ecore.EClass COLLECTION_EXP
The meta object literal for the '`Collection Exp`' class.

See Also:
  - `CollectionExp`
  - `OCLPackage.getCollectionExp()`

### COLLECTION_EXP__ELEMENTS

static final org.eclipse.emf.ecore.EReference COLLECTION_EXP__ELEMENTS
The meta object literal for the 'Elements' containment reference list feature.

### BAG_EXP

static final org.eclipse.emf.ecore.EClass BAG_EXP
The meta object literal for the '`Bag Exp`' class.

See Also:
  - `BagExp`
  - `OCLPackage.getBagExp()`

### ORDERED_SET_EXP

static final org.eclipse.emf.ecore.EClass ORDERED_SET_EXP
The meta object literal for the '`Ordered Set Exp`' class.

See Also:
  - `OrderedSetExp`
  - `OCLPackage.getOrderedSetExp()`

### SEQUENCE_EXP

static final org.eclipse.emf.ecore.EClass SEQUENCE_EXP
The meta object literal for the '`Sequence Exp`' class.

See Also:
  - `SequenceExp`
  - `OCLPackage.getSequenceExp()`

### SET_EXP

static final org.eclipse.emf.ecore.EClass SET_EXP
The meta object literal for the '`Set Exp`' class.

See Also:
  - `SetExp`
  - `OCLPackage.getSetExp()`

### TUPLE_EXP

static final org.eclipse.emf.ecore.EClass TUPLE_EXP
The meta object literal for the '`Tuple Exp`' class.

See Also:
  - `TupleExp`
  - `OCLPackage.getTupleExp()`

### TUPLE_EXP__TUPLE_PART

static final org.eclipse.emf.ecore.EReference TUPLE_EXP__TUPLE_PART
The meta object literal for the 'Tuple Part' containment reference list feature.

### TUPLE_PART

static final org.eclipse.emf.ecore.EClass TUPLE_PART
The meta object literal for the '`Tuple Part`' class.

See Also:
  - `TuplePart`
  - `OCLPackage.getTuplePart()`

### TUPLE_PART__TUPLE

static final org.eclipse.emf.ecore.EReference TUPLE_PART__TUPLE
The meta object literal for the 'Tuple' container reference feature.

### MAP_EXP

static final org.eclipse.emf.ecore.EClass MAP_EXP
The meta object literal for the '`Map Exp`' class.

See Also:
  - `MapExp`
  - `OCLPackage.getMapExp()`

### MAP_EXP__ELEMENTS

static final org.eclipse.emf.ecore.EReference MAP_EXP__ELEMENTS
The meta object literal for the 'Elements' containment reference list feature.

### MAP_ELEMENT

static final org.eclipse.emf.ecore.EClass MAP_ELEMENT
The meta object literal for the '`Map Element`' class.

See Also:
  - `MapElement`
  - `OCLPackage.getMapElement()`

### MAP_ELEMENT__MAP

static final org.eclipse.emf.ecore.EReference MAP_ELEMENT__MAP
The meta object literal for the 'Map' container reference feature.

### MAP_ELEMENT__KEY

static final org.eclipse.emf.ecore.EReference MAP_ELEMENT__KEY
The meta object literal for the 'Key' containment reference feature.

### MAP_ELEMENT__VALUE

static final org.eclipse.emf.ecore.EReference MAP_ELEMENT__VALUE
The meta object literal for the 'Value' containment reference feature.

### ENUM_LITERAL_EXP

static final org.eclipse.emf.ecore.EClass ENUM_LITERAL_EXP
The meta object literal for the '`Enum Literal Exp`' class.

See Also:
  - `EnumLiteralExp`
  - `OCLPackage.getEnumLiteralExp()`

### ENUM_LITERAL_EXP__NAME

static final org.eclipse.emf.ecore.EAttribute ENUM_LITERAL_EXP__NAME
The meta object literal for the 'Name' attribute feature.

### OCL_UNDEFINED_EXP

static final org.eclipse.emf.ecore.EClass OCL_UNDEFINED_EXP
The meta object literal for the '`Ocl Undefined Exp`' class.

See Also:
  - `OclUndefinedExp`
  - `OCLPackage.getOclUndefinedExp()`

### PROPERTY_CALL_EXP

static final org.eclipse.emf.ecore.EClass PROPERTY_CALL_EXP
The meta object literal for the '`Property Call Exp`' class.

See Also:
  - `PropertyCallExp`
  - `OCLPackage.getPropertyCallExp()`

### PROPERTY_CALL_EXP__SOURCE

static final org.eclipse.emf.ecore.EReference PROPERTY_CALL_EXP__SOURCE
The meta object literal for the 'Source' containment reference feature.

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP

static final org.eclipse.emf.ecore.EClass NAVIGATION_OR_ATTRIBUTE_CALL_EXP
The meta object literal for the '`Navigation Or Attribute Call Exp`' class.

See Also:
  - `NavigationOrAttributeCallExp`
  - `OCLPackage.getNavigationOrAttributeCallExp()`

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__NAME

static final org.eclipse.emf.ecore.EAttribute NAVIGATION_OR_ATTRIBUTE_CALL_EXP__NAME
The meta object literal for the 'Name' attribute feature.

### OPERATION_CALL_EXP

static final org.eclipse.emf.ecore.EClass OPERATION_CALL_EXP
The meta object literal for the '`Operation Call Exp`' class.

See Also:
  - `OperationCallExp`
  - `OCLPackage.getOperationCallExp()`

### OPERATION_CALL_EXP__ARGUMENTS

static final org.eclipse.emf.ecore.EReference OPERATION_CALL_EXP__ARGUMENTS
The meta object literal for the 'Arguments' containment reference list feature.

### OPERATION_CALL_EXP__OPERATION_NAME

static final org.eclipse.emf.ecore.EAttribute OPERATION_CALL_EXP__OPERATION_NAME
The meta object literal for the 'Operation Name' attribute feature.

### OPERATOR_CALL_EXP

static final org.eclipse.emf.ecore.EClass OPERATOR_CALL_EXP
The meta object literal for the '`Operator Call Exp`' class.

See Also:
  - `OperatorCallExp`
  - `OCLPackage.getOperatorCallExp()`

### COLLECTION_OPERATION_CALL_EXP

static final org.eclipse.emf.ecore.EClass COLLECTION_OPERATION_CALL_EXP
The meta object literal for the '`Collection Operation Call Exp`' class.

See Also:
  - `CollectionOperationCallExp`
  - `OCLPackage.getCollectionOperationCallExp()`

### LOOP_EXP

static final org.eclipse.emf.ecore.EClass LOOP_EXP
The meta object literal for the '`Loop Exp`' class.

See Also:
  - `LoopExp`
  - `OCLPackage.getLoopExp()`

### LOOP_EXP__BODY

static final org.eclipse.emf.ecore.EReference LOOP_EXP__BODY
The meta object literal for the 'Body' containment reference feature.

### LOOP_EXP__ITERATORS

static final org.eclipse.emf.ecore.EReference LOOP_EXP__ITERATORS
The meta object literal for the 'Iterators' containment reference list feature.

### ITERATE_EXP

static final org.eclipse.emf.ecore.EClass ITERATE_EXP
The meta object literal for the '`Iterate Exp`' class.

See Also:
  - `IterateExp`
  - `OCLPackage.getIterateExp()`

### ITERATE_EXP__RESULT

static final org.eclipse.emf.ecore.EReference ITERATE_EXP__RESULT
The meta object literal for the 'Result' containment reference feature.

### ITERATOR_EXP

static final org.eclipse.emf.ecore.EClass ITERATOR_EXP
The meta object literal for the '`Iterator Exp`' class.

See Also:
  - `IteratorExp`
  - `OCLPackage.getIteratorExp()`

### ITERATOR_EXP__NAME

static final org.eclipse.emf.ecore.EAttribute ITERATOR_EXP__NAME
The meta object literal for the 'Name' attribute feature.

### LET_EXP

static final org.eclipse.emf.ecore.EClass LET_EXP
The meta object literal for the '`Let Exp`' class.

See Also:
  - `LetExp`
  - `OCLPackage.getLetExp()`

### LET_EXP__VARIABLE

static final org.eclipse.emf.ecore.EReference LET_EXP__VARIABLE
The meta object literal for the 'Variable' containment reference feature.

### LET_EXP__IN_

static final org.eclipse.emf.ecore.EReference LET_EXP__IN_
The meta object literal for the 'In ' containment reference feature.

### IF_EXP

static final org.eclipse.emf.ecore.EClass IF_EXP
The meta object literal for the '`If Exp`' class.

See Also:
  - `IfExp`
  - `OCLPackage.getIfExp()`

### IF_EXP__THEN_EXPRESSION

static final org.eclipse.emf.ecore.EReference IF_EXP__THEN_EXPRESSION
The meta object literal for the 'Then Expression' containment reference feature.

### IF_EXP__CONDITION

static final org.eclipse.emf.ecore.EReference IF_EXP__CONDITION
The meta object literal for the 'Condition' containment reference feature.

### IF_EXP__ELSE_EXPRESSION

static final org.eclipse.emf.ecore.EReference IF_EXP__ELSE_EXPRESSION
The meta object literal for the 'Else Expression' containment reference feature.

### VARIABLE_DECLARATION

static final org.eclipse.emf.ecore.EClass VARIABLE_DECLARATION
The meta object literal for the '`Variable Declaration`' class.

See Also:
  - `VariableDeclaration`
  - `OCLPackage.getVariableDeclaration()`

### VARIABLE_DECLARATION__ID

static final org.eclipse.emf.ecore.EAttribute VARIABLE_DECLARATION__ID
The meta object literal for the 'Id' attribute feature.

### VARIABLE_DECLARATION__VAR_NAME

static final org.eclipse.emf.ecore.EAttribute VARIABLE_DECLARATION__VAR_NAME
The meta object literal for the 'Var Name' attribute feature.

### VARIABLE_DECLARATION__TYPE

static final org.eclipse.emf.ecore.EReference VARIABLE_DECLARATION__TYPE
The meta object literal for the 'Type' containment reference feature.

### VARIABLE_DECLARATION__INIT_EXPRESSION

static final org.eclipse.emf.ecore.EReference VARIABLE_DECLARATION__INIT_EXPRESSION
The meta object literal for the 'Init Expression' containment reference feature.

### VARIABLE_DECLARATION__LET_EXP

static final org.eclipse.emf.ecore.EReference VARIABLE_DECLARATION__LET_EXP
The meta object literal for the 'Let Exp' container reference feature.

### VARIABLE_DECLARATION__BASE_EXP

static final org.eclipse.emf.ecore.EReference VARIABLE_DECLARATION__BASE_EXP
The meta object literal for the 'Base Exp' container reference feature.

### VARIABLE_DECLARATION__VARIABLE_EXP

static final org.eclipse.emf.ecore.EReference VARIABLE_DECLARATION__VARIABLE_EXP
The meta object literal for the 'Variable Exp' reference list feature.

### ITERATOR

static final org.eclipse.emf.ecore.EClass ITERATOR
The meta object literal for the '`Iterator`' class.

See Also:
  - `Iterator`
  - `OCLPackage.getIterator()`

### ITERATOR__LOOP_EXPR

static final org.eclipse.emf.ecore.EReference ITERATOR__LOOP_EXPR
The meta object literal for the 'Loop Expr' container reference feature.

### PARAMETER

static final org.eclipse.emf.ecore.EClass PARAMETER
The meta object literal for the '`Parameter`' class.

See Also:
  - `Parameter`
  - `OCLPackage.getParameter()`

### PARAMETER__OPERATION

static final org.eclipse.emf.ecore.EReference PARAMETER__OPERATION
The meta object literal for the 'Operation' container reference feature.

### COLLECTION_TYPE

static final org.eclipse.emf.ecore.EClass COLLECTION_TYPE
The meta object literal for the '`Collection Type`' class.

See Also:
  - `CollectionType`
  - `OCLPackage.getCollectionType()`

### COLLECTION_TYPE__ELEMENT_TYPE

static final org.eclipse.emf.ecore.EReference COLLECTION_TYPE__ELEMENT_TYPE
The meta object literal for the 'Element Type' containment reference feature.

### OCL_TYPE

static final org.eclipse.emf.ecore.EClass OCL_TYPE
The meta object literal for the '`Ocl Type`' class.

See Also:
  - `OclType`
  - `OCLPackage.getOclType()`

### OCL_TYPE__NAME

static final org.eclipse.emf.ecore.EAttribute OCL_TYPE__NAME
The meta object literal for the 'Name' attribute feature.

### OCL_TYPE__DEFINITIONS

static final org.eclipse.emf.ecore.EReference OCL_TYPE__DEFINITIONS
The meta object literal for the 'Definitions' container reference feature.

### OCL_TYPE__OCL_EXPRESSION

static final org.eclipse.emf.ecore.EReference OCL_TYPE__OCL_EXPRESSION
The meta object literal for the 'Ocl Expression' container reference feature.

### OCL_TYPE__OPERATION

static final org.eclipse.emf.ecore.EReference OCL_TYPE__OPERATION
The meta object literal for the 'Operation' container reference feature.

### OCL_TYPE__MAP_TYPE2

static final org.eclipse.emf.ecore.EReference OCL_TYPE__MAP_TYPE2
The meta object literal for the 'Map Type2' container reference feature.

### OCL_TYPE__ATTRIBUTE

static final org.eclipse.emf.ecore.EReference OCL_TYPE__ATTRIBUTE
The meta object literal for the 'Attribute' container reference feature.

### OCL_TYPE__MAP_TYPE

static final org.eclipse.emf.ecore.EReference OCL_TYPE__MAP_TYPE
The meta object literal for the 'Map Type' container reference feature.

### OCL_TYPE__COLLECTION_TYPES

static final org.eclipse.emf.ecore.EReference OCL_TYPE__COLLECTION_TYPES
The meta object literal for the 'Collection Types' container reference feature.

### OCL_TYPE__TUPLE_TYPE_ATTRIBUTE

static final org.eclipse.emf.ecore.EReference OCL_TYPE__TUPLE_TYPE_ATTRIBUTE
The meta object literal for the 'Tuple Type Attribute' container reference feature.

### OCL_TYPE__VARIABLE_DECLARATION

static final org.eclipse.emf.ecore.EReference OCL_TYPE__VARIABLE_DECLARATION
The meta object literal for the 'Variable Declaration' container reference feature.

### PRIMITIVE

static final org.eclipse.emf.ecore.EClass PRIMITIVE
The meta object literal for the '`Primitive`' class.

See Also:
  - `Primitive`
  - `OCLPackage.getPrimitive()`

### STRING_TYPE

static final org.eclipse.emf.ecore.EClass STRING_TYPE
The meta object literal for the '`String Type`' class.

See Also:
  - `StringType`
  - `OCLPackage.getStringType()`

### BOOLEAN_TYPE

static final org.eclipse.emf.ecore.EClass BOOLEAN_TYPE
The meta object literal for the '`Boolean Type`' class.

See Also:
  - `BooleanType`
  - `OCLPackage.getBooleanType()`

### NUMERIC_TYPE

static final org.eclipse.emf.ecore.EClass NUMERIC_TYPE
The meta object literal for the '`Numeric Type`' class.

See Also:
  - `NumericType`
  - `OCLPackage.getNumericType()`

### INTEGER_TYPE

static final org.eclipse.emf.ecore.EClass INTEGER_TYPE
The meta object literal for the '`Integer Type`' class.

See Also:
  - `IntegerType`
  - `OCLPackage.getIntegerType()`

### REAL_TYPE

static final org.eclipse.emf.ecore.EClass REAL_TYPE
The meta object literal for the '`Real Type`' class.

See Also:
  - `RealType`
  - `OCLPackage.getRealType()`

### BAG_TYPE

static final org.eclipse.emf.ecore.EClass BAG_TYPE
The meta object literal for the '`Bag Type`' class.

See Also:
  - `BagType`
  - `OCLPackage.getBagType()`

### ORDERED_SET_TYPE

static final org.eclipse.emf.ecore.EClass ORDERED_SET_TYPE
The meta object literal for the '`Ordered Set Type`' class.

See Also:
  - `OrderedSetType`
  - `OCLPackage.getOrderedSetType()`

### SEQUENCE_TYPE

static final org.eclipse.emf.ecore.EClass SEQUENCE_TYPE
The meta object literal for the '`Sequence Type`' class.

See Also:
  - `SequenceType`
  - `OCLPackage.getSequenceType()`

### SET_TYPE

static final org.eclipse.emf.ecore.EClass SET_TYPE
The meta object literal for the '`Set Type`' class.

See Also:
  - `SetType`
  - `OCLPackage.getSetType()`

### OCL_ANY_TYPE

static final org.eclipse.emf.ecore.EClass OCL_ANY_TYPE
The meta object literal for the '`Ocl Any Type`' class.

See Also:
  - `OclAnyType`
  - `OCLPackage.getOclAnyType()`

### TUPLE_TYPE

static final org.eclipse.emf.ecore.EClass TUPLE_TYPE
The meta object literal for the '`Tuple Type`' class.

See Also:
  - `TupleType`
  - `OCLPackage.getTupleType()`

### TUPLE_TYPE__ATTRIBUTES

static final org.eclipse.emf.ecore.EReference TUPLE_TYPE__ATTRIBUTES
The meta object literal for the 'Attributes' containment reference list feature.

### TUPLE_TYPE_ATTRIBUTE

static final org.eclipse.emf.ecore.EClass TUPLE_TYPE_ATTRIBUTE
The meta object literal for the '`Tuple Type Attribute`' class.

See Also:
  - `TupleTypeAttribute`
  - `OCLPackage.getTupleTypeAttribute()`

### TUPLE_TYPE_ATTRIBUTE__TYPE

static final org.eclipse.emf.ecore.EReference TUPLE_TYPE_ATTRIBUTE__TYPE
The meta object literal for the 'Type' containment reference feature.

### TUPLE_TYPE_ATTRIBUTE__TUPLE_TYPE

static final org.eclipse.emf.ecore.EReference TUPLE_TYPE_ATTRIBUTE__TUPLE_TYPE
The meta object literal for the 'Tuple Type' container reference feature.

### TUPLE_TYPE_ATTRIBUTE__NAME

static final org.eclipse.emf.ecore.EAttribute TUPLE_TYPE_ATTRIBUTE__NAME
The meta object literal for the 'Name' attribute feature.

### OCL_MODEL_ELEMENT

static final org.eclipse.emf.ecore.EClass OCL_MODEL_ELEMENT
The meta object literal for the '`Ocl Model Element`' class.

See Also:
  - `OclModelElement`
  - `OCLPackage.getOclModelElement()`

### OCL_MODEL_ELEMENT__MODEL

static final org.eclipse.emf.ecore.EReference OCL_MODEL_ELEMENT__MODEL
The meta object literal for the 'Model' reference feature.

### MAP_TYPE

static final org.eclipse.emf.ecore.EClass MAP_TYPE
The meta object literal for the '`Map Type`' class.

See Also:
  - `MapType`
  - `OCLPackage.getMapType()`

### MAP_TYPE__VALUE_TYPE

static final org.eclipse.emf.ecore.EReference MAP_TYPE__VALUE_TYPE
The meta object literal for the 'Value Type' containment reference feature.

### MAP_TYPE__KEY_TYPE

static final org.eclipse.emf.ecore.EReference MAP_TYPE__KEY_TYPE
The meta object literal for the 'Key Type' containment reference feature.

### OCL_FEATURE_DEFINITION

static final org.eclipse.emf.ecore.EClass OCL_FEATURE_DEFINITION
The meta object literal for the '`Ocl Feature Definition`' class.

See Also:
  - `OclFeatureDefinition`
  - `OCLPackage.getOclFeatureDefinition()`

### OCL_FEATURE_DEFINITION__FEATURE

static final org.eclipse.emf.ecore.EReference OCL_FEATURE_DEFINITION__FEATURE
The meta object literal for the 'Feature' containment reference feature.

### OCL_FEATURE_DEFINITION__CONTEXT_

static final org.eclipse.emf.ecore.EReference OCL_FEATURE_DEFINITION__CONTEXT_
The meta object literal for the 'Context ' containment reference feature.

### OCL_CONTEXT_DEFINITION

static final org.eclipse.emf.ecore.EClass OCL_CONTEXT_DEFINITION
The meta object literal for the '`Ocl Context Definition`' class.

See Also:
  - `OclContextDefinition`
  - `OCLPackage.getOclContextDefinition()`

### OCL_CONTEXT_DEFINITION__DEFINITION

static final org.eclipse.emf.ecore.EReference OCL_CONTEXT_DEFINITION__DEFINITION
The meta object literal for the 'Definition' container reference feature.

### OCL_CONTEXT_DEFINITION__CONTEXT_

static final org.eclipse.emf.ecore.EReference OCL_CONTEXT_DEFINITION__CONTEXT_
The meta object literal for the 'Context ' containment reference feature.

### OCL_FEATURE

static final org.eclipse.emf.ecore.EClass OCL_FEATURE
The meta object literal for the '`Ocl Feature`' class.

See Also:
  - `OclFeature`
  - `OCLPackage.getOclFeature()`

### OCL_FEATURE__DEFINITION

static final org.eclipse.emf.ecore.EReference OCL_FEATURE__DEFINITION
The meta object literal for the 'Definition' container reference feature.

### ATTRIBUTE

static final org.eclipse.emf.ecore.EClass ATTRIBUTE
The meta object literal for the '`Attribute`' class.

See Also:
  - `Attribute`
  - `OCLPackage.getAttribute()`

### ATTRIBUTE__NAME

static final org.eclipse.emf.ecore.EAttribute ATTRIBUTE__NAME
The meta object literal for the 'Name' attribute feature.

### ATTRIBUTE__INIT_EXPRESSION

static final org.eclipse.emf.ecore.EReference ATTRIBUTE__INIT_EXPRESSION
The meta object literal for the 'Init Expression' containment reference feature.

### ATTRIBUTE__TYPE

static final org.eclipse.emf.ecore.EReference ATTRIBUTE__TYPE
The meta object literal for the 'Type' containment reference feature.

### OPERATION

static final org.eclipse.emf.ecore.EClass OPERATION
The meta object literal for the '`Operation`' class.

See Also:
  - `Operation`
  - `OCLPackage.getOperation()`

### OPERATION__NAME

static final org.eclipse.emf.ecore.EAttribute OPERATION__NAME
The meta object literal for the 'Name' attribute feature.

### OPERATION__PARAMETERS

static final org.eclipse.emf.ecore.EReference OPERATION__PARAMETERS
The meta object literal for the 'Parameters' containment reference list feature.

### OPERATION__RETURN_TYPE

static final org.eclipse.emf.ecore.EReference OPERATION__RETURN_TYPE
The meta object literal for the 'Return Type' containment reference feature.

### OPERATION__BODY

static final org.eclipse.emf.ecore.EReference OPERATION__BODY
The meta object literal for the 'Body' containment reference feature.

### OCL_MODEL

static final org.eclipse.emf.ecore.EClass OCL_MODEL
The meta object literal for the '`Ocl Model`' class.

See Also:
  - `OclModel`
  - `OCLPackage.getOclModel()`

### OCL_MODEL__NAME

static final org.eclipse.emf.ecore.EAttribute OCL_MODEL__NAME
The meta object literal for the 'Name' attribute feature.

### OCL_MODEL__METAMODEL

static final org.eclipse.emf.ecore.EReference OCL_MODEL__METAMODEL
The meta object literal for the 'Metamodel' reference feature.

### OCL_MODEL__ELEMENTS

static final org.eclipse.emf.ecore.EReference OCL_MODEL__ELEMENTS
The meta object literal for the 'Elements' reference list feature.

### OCL_MODEL__MODEL

static final org.eclipse.emf.ecore.EReference OCL_MODEL__MODEL
The meta object literal for the 'Model' reference list feature.